# $Revision: 1.343 $, $Date: 2012/05/18 06:48:03 $
# TODO:
# - check spec-syntax,mo patches
#
# Conditional build:
%bcond_with	ext2undel	# with ext2 undelete fs
%bcond_without	perl_vfs	# without perl depending vfs'es -- to avoid perl autoreq
%bcond_with	samba		# with SAMBA vfs support
%bcond_without	x		# without text edit in X support
#
Summary:	A user-friendly file manager and visual shell
Summary(de.UTF-8):	Visuelle Shell Midnight Commander
Summary(es.UTF-8):	Interpretador de comandos visual Midnight Commander
Summary(fr.UTF-8):	Un gestionnaire de fichiers puissant et agréable en mode console
Summary(hu.UTF-8):	Egy felhasználóbarát fájlkezelő és vizuális shell
Summary(ja.UTF-8):	使いやすいファイルマネージャとビジュアルシェル
Summary(pl.UTF-8):	Midnight Commander - powłoka wizualna
Summary(pt_BR.UTF-8):	Interpretador de comandos visual Midnight Commander
Summary(ru.UTF-8):	Диспетчер файлов Midnight Commander
Summary(tr.UTF-8):	Midnight Commander görsel kabuğu
Summary(uk.UTF-8):	Диспетчер файлів Midnight Commander
Summary(zh_CN.UTF-8):	一个方便实用的文件管理器和虚拟Shell
Name:		mc
Version:	4.8.3
Release:	2
Epoch:		1
License:	GPL v3+
Group:		Applications/Shells
Source0:	http://www.midnight-commander.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	12d38ad4969df3f8bbf66c3967a191ee
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	17d7b574e1b85ad6f8ddceda9e841f19
Source7:	%{name}.desktop
Source8:	%{name}.png
Patch0:		%{name}-rpmfs.patch
Patch1:		%{name}-home_etc2.patch
Patch2:		%{name}-no-ws-visible.patch
Patch3:		%{name}-noperl-vfs.patch
# at now syntax highligthing for PLD-update-TODO and CVSROOT/users
Patch4:		%{name}-pld-developerfriendly.patch
Patch5:		bug-2785.patch
URL:		http://www.midnight-commander.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1.5
%{?with_ext2undel:BuildRequires:	e2fsprogs-devel}
BuildRequires:	gettext-devel >= 0.14.3
BuildRequires:	glib2-devel >= 2.8
%ifnarch s390 s390x
BuildRequires:	gpm-devel
%endif
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	slang-devel >= 2.2.1
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
Requires:	file
Requires:	pam >= 0.77.3
Requires:	sed
Requires:	setup >= 2.4.6-2
Suggests:	bzip2
Suggests:	cabextract
Suggests:	cdrtools-utils
Suggests:	cpio
Suggests:	dvi2tty
Suggests:	enca
Suggests:	file
Suggests:	ghostscript
Suggests:	groff
Suggests:	gzip
Suggests:	lha
Suggests:	links
Suggests:	lynx
Suggests:	lzma
Suggests:	odt2txt
Suggests:	p7zip-standalone
Suggests:	perl-tools-pod
Suggests:	rar
Suggests:	rpm-utils
Suggests:	tar
Suggests:	unarj
Suggests:	unzip
Suggests:	xdg-utils
Suggests:	xpdf-tools
Suggests:	xz
Suggests:	zoo
Obsoletes:	mc46
Obsoletes:	mc46serv
Obsoletes:	mcserv
Obsoletes:	tkmc
Conflicts:	bash < 2.05b
Conflicts:	rpm < 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	-fomit-frame-pointer

%description
Midnight Commander is a visual shell much like a file manager, only
with way more features. It is text mode, but also includes mouse
support if you are running GPM. Its coolest feature is the ability to
FTP, view tar, zip files, and poke into RPMs for specific files. :-)

%description -l de.UTF-8
Midnight Commander ist ein Visual-Shell, ähnlich einem Dateimanager,
aber mit zusätzlichen Funktionen. Es läuft im Textmodus, kann jedoch
eine Maus unterstützen, wenn GPM betrieben wird. Seine coolsten
Fähigkeiten sind die FTP-Option, das Einsehen von tar- und zip-Dateien
und das Herausfischen von spezifischen Dateien aus RPMs.

%description -l es.UTF-8
Midnight Commander es un interpretador de comandos visual que más
parece un administrador de archivos, solamente con varias
características a más. Es un programa en modo texto, pero incluye
soporte para ratón, si estuviera ejecutando GPM o en una ventana
xterm. Su característica más genial es la habilidad de cotillear en
RPMs buscando archivos específicos. :-)

%description -l fr.UTF-8
Midnight Commander est une interface pour la ligne de commande qui
tient beaucoup du gestionnaire de fichiers, mais est bien plus
puissant. Il fonctionne en mode console (texte), mais peut être
contrôlé à la souris si GPM est présent. Ses caractéristiques les plus
remarquables sont la possibilité de se connecter à un serveur FTP, de
visualiser des archives tar, de compresser des fichiers avec zip, de
récupérer des fichiers dans les packages RPM, et tout ceci simplement.

%description -l hu.UTF-8
Midnight Commander egy vizuális shell, lényegében egy fájlkezelő
sok-sok lehetőséggel. Szöveges módú, de az egeret is támogatja, ha fut
a GPM. A legjobb lehetőség az FTP elérése, tar, zip és RPM fájlok
kezelése.

%description -l ja.UTF-8
Midnight Commander はいろいろな機能を持ったファイルマネージャ兼
ビジュアルシェルです。これはテキストモードのアプリケーションですが、 GPM を使っている場合、マウスが使えます。 Midnight
Commander には、 FTP に接続できたり、 tar や zip や RPM の中が見えるなど、クールな機能 があります。

%description -l pl.UTF-8
Midnight Commander jest wizualną powłoką podobną do Norton Commandera.
Pracuje w trybie tekstowym, ale ma także obsługę myszki. Jest super ;)
MC ma wbudowanego klienta FTP, może zaglądać do skompresowanych
archiwów tar i zip, a także oglądać pliki w pakietach RPM.

%description -l pt_BR.UTF-8
Midnight Commander é um interpretador de comandos visual que mais
parece um gerenciador de arquivos, somente com várias características
a mais. Ele é um programa de modo texto, mas inclui suporte para mouse
se você estiver rodando GPM ou em uma janela xterm. Sua característica
mais legal é a habilidade de bisbilhotar em RPMs procurando arquivos
específicos. :-)

%description -l tr.UTF-8
Midnight Commander bir dosya yöneticisine çok benzeyen ancak daha
yetenekli bir görsel kabuktur. Metin ekranda çalışır ve GPM
çalışıyorsa fare desteği vardır. En hoş özellikleri FTP yapabilmesi,
tar, zip ve RPM dosyalarının içeriklerini gösterebilmesidir.

%prep
%setup -q -a3
%patch0 -p1
# doesn't apply, makes no sense (now mc complies to XDG by default)
#%patch1 -p1
%patch2 -p1
%{!?with_perl_vfs:%patch3 -p1}
%patch4 -p1
%patch5 -p0

%{__rm} po/stamp-po

%{__sed} -i 's:|hxx|:|hh|hpp|hxx|tcc|:' misc/syntax/Syntax

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}

export X11_WWW="xdg-open"
%configure \
	%{?with_ext2undel:--enable-vfs-undelfs} \
	%{?with_samba:--enable-vfs-smb} \
	--with-smb-configdir=/etc/samba \
	--with-smb-codepagedir=/etc/samba/codepages \
	--with%{!?with_x:out}-x \
	--with-gpm-mouse \
	--with-pcre \
	--with-screen=slang \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,pam.d,shrc.d,sysconfig} \
	$RPM_BUILD_ROOT%{_mandir}/man8

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE7} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE8} $RPM_BUILD_ROOT%{_pixmapsdir}

for a in es pl ; do
	for b in man1 man8 ; do
		install -d $RPM_BUILD_ROOT%{_mandir}/{$a,$a/$b}
		for c in man/$a/$b/* ; do
			install $c $RPM_BUILD_ROOT%{_mandir}/$a/$b
		done
	done
done

install contrib/{mc.sh,mc.csh} $RPM_BUILD_ROOT/etc/shrc.d

%{__rm} $RPM_BUILD_ROOT%{_mandir}/*/man8/mcserv.8

# fi_FI is currently (i.e. in 4.7.5.2) more complete
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/fi
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{fi_FI,fi}

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/it_IT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README doc/keybind-migration.txt
%config /etc/shrc.d/*
%attr(755,root,root) %{_bindir}/mc*
%dir %{_libdir}/mc
%attr(755,root,root) %{_libdir}/mc/cons.saver
%attr(755,root,root) %{_libdir}/mc/*.sh
%attr(755,root,root) %{_libdir}/mc/*.csh
%dir %{_datadir}/mc

%{_datadir}/mc/mc.*
%{_datadir}/mc/skins
%{_datadir}/mc/syntax

%dir %{_datadir}/mc/help
%{_datadir}/mc/help/mc.hlp
%lang(es) %{_datadir}/mc/help/mc.hlp.es
%lang(hu) %{_datadir}/mc/help/mc.hlp.hu
%lang(it) %{_datadir}/mc/help/mc.hlp.it
%lang(pl) %{_datadir}/mc/help/mc.hlp.pl
%lang(ru) %{_datadir}/mc/help/mc.hlp.ru
%lang(sr) %{_datadir}/mc/help/mc.hlp.sr
%dir %{_datadir}/mc/hints
%{_datadir}/mc/hints/mc.hint
%lang(cs) %{_datadir}/mc/hints/mc.hint.cs
%lang(es) %{_datadir}/mc/hints/mc.hint.es
%lang(hu) %{_datadir}/mc/hints/mc.hint.hu
%lang(it) %{_datadir}/mc/hints/mc.hint.it
%lang(nl) %{_datadir}/mc/hints/mc.hint.nl
%lang(pl) %{_datadir}/mc/hints/mc.hint.pl
%lang(ru) %{_datadir}/mc/hints/mc.hint.ru
%lang(sr) %{_datadir}/mc/hints/mc.hint.sr
%lang(uk) %{_datadir}/mc/hints/mc.hint.uk
%lang(zh) %{_datadir}/mc/hints/mc.hint.zh

%dir %{_libdir}/mc/extfs.d
%{_libdir}/mc/extfs.d/README*
%if %{with perl_vfs}
%attr(755,root,root) %{_libdir}/mc/extfs.d/a+
%attr(755,root,root) %{_libdir}/mc/extfs.d/apt+
%attr(755,root,root) %{_libdir}/mc/extfs.d/deb*
%attr(755,root,root) %{_libdir}/mc/extfs.d/dpkg+
%attr(755,root,root) %{_libdir}/mc/extfs.d/mailfs
%attr(755,root,root) %{_libdir}/mc/extfs.d/patchfs
%attr(755,root,root) %{_libdir}/mc/extfs.d/rpms+
%attr(755,root,root) %{_libdir}/mc/extfs.d/uzip
%endif
%attr(755,root,root) %{_libdir}/mc/extfs.d/audio
%attr(755,root,root) %{_libdir}/mc/extfs.d/bpp
%attr(755,root,root) %{_libdir}/mc/extfs.d/changesetfs
%attr(755,root,root) %{_libdir}/mc/extfs.d/gitfs+
%attr(755,root,root) %{_libdir}/mc/extfs.d/hp48+
%attr(755,root,root) %{_libdir}/mc/extfs.d/iso9660
%attr(755,root,root) %{_libdir}/mc/extfs.d/lslR
%attr(755,root,root) %{_libdir}/mc/extfs.d/patchsetfs
%attr(755,root,root) %{_libdir}/mc/extfs.d/rpm
%attr(755,root,root) %{_libdir}/mc/extfs.d/s3+
%attr(755,root,root) %{_libdir}/mc/extfs.d/trpm
%attr(755,root,root) %{_libdir}/mc/extfs.d/u7z
%attr(755,root,root) %{_libdir}/mc/extfs.d/uace
%attr(755,root,root) %{_libdir}/mc/extfs.d/ualz
%attr(755,root,root) %{_libdir}/mc/extfs.d/uar*
%attr(755,root,root) %{_libdir}/mc/extfs.d/uc1541
%attr(755,root,root) %{_libdir}/mc/extfs.d/ucab
%attr(755,root,root) %{_libdir}/mc/extfs.d/uha
%attr(755,root,root) %{_libdir}/mc/extfs.d/ulha
%attr(755,root,root) %{_libdir}/mc/extfs.d/urar
%attr(755,root,root) %{_libdir}/mc/extfs.d/uzoo
%dir %{_libdir}/mc/fish
%{_libdir}/mc/fish/README.fish
%attr(755,root,root) %{_libdir}/mc/fish/[a-z]*
%{_desktopdir}/mc.desktop
%{_pixmapsdir}/mc.png

%{_mandir}/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(sr) %{_mandir}/sr/man1/*

%dir %{_sysconfdir}/mc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mc/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mc.spec,v $
Revision 1.343  2012/05/18 06:48:03  baggins
- rel 2
- fix error message when entering into compressed tar and cpio archives (#2785)

Revision 1.342  2012/04/24 06:24:42  arekm
- up to 4.8.3

Revision 1.341  2012/04/04 16:45:26  qboosh
- updated rpmfs patch is back
- removed outdated pl patch (translations are now managed via transifex.net)

Revision 1.340  2012/03/20 18:51:21  arekm
- up to 4.8.2

Revision 1.339  2012/03/20 18:44:57  arekm
- up to 4.8.1.1

Revision 1.338  2011/12/18 09:09:49  arekm
- up to 4.8.1

Revision 1.337  2011/10/23 08:58:14  arekm
- GPLv3 now

Revision 1.336  2011/10/23 08:52:21  arekm
- up to 4.8.0

Revision 1.335  2011/10/03 18:42:20  charles
- up to 4.7.5.5

Revision 1.334  2011/09/15 07:39:42  lisu
- dropped it_IT locale
- verbose make
- rel 2

Revision 1.333  2011/09/14 14:32:05  lisu
- updated to 4.7.5.4
- dropped obsoleted slang-8bit_xterm patch
- renumbered patches

Revision 1.332  2011/09/04 18:44:11  arekm
- up to 4.7.5.3

Revision 1.331  2011/04/29 20:06:00  qboosh
- fix fi locale packaging
- release 2

Revision 1.330  2011/04/19 12:46:28  marti
- up to 4.7.5.2

Revision 1.329  2011/02/19 19:45:26  arekm
- 4.7.5.1

Revision 1.328  2011/01/28 00:21:49  charles
- rm outdated -find_options.patch

Revision 1.327  2010/12/29 00:08:36  gotar
- upgraded to 4.7.5

Revision 1.326  2010/09/21 09:16:53  baggins
- rel 2.1
- broken wildchar handling in copy/rename dialogs

Revision 1.325  2010/09/12 07:11:50  arekm
- rel 2; be-tarask->be@tarask deletion

Revision 1.324  2010/09/09 20:06:00  gotar
- upgraded to 4.7.4

Revision 1.323  2010/08/01 09:44:11  gotar
- added patches for #2135, #2264, #2272 and #2284, rel. 2

Revision 1.322  2010/07/31 19:39:19  gotar
- upgraded to 4.7.3
- mcserv and mcfs don't compile and to be removed upstream in 4.7.4

Revision 1.321  2010/07/31 16:22:46  gotar
- fixed S list

Revision 1.320  2010/05/27 10:56:07  glen
- too many S?

Revision 1.319  2010/05/06 08:15:50  gotar
- upgraded to 4.7.2

Revision 1.318  2010/04/13 13:42:51  baggins
- rel 4
- fixed patch

Revision 1.317  2010/04/13 13:34:32  baggins
- rel 3
- case_sensitive_quick_search (http://www.midnight-commander.org/ticket/2022)

Revision 1.316  2010/02/28 19:11:24  arekm
- rel 2; epoch 1

Revision 1.315  2010/02/27 12:32:16  gotar
- S: enca, file, isoinfo, some text parsers (dvi2tty, links, nroff, odt2txt,
  pod2man, ps2ascii, xpdf-tools) and popular dearchivers/decompressors
  (cabextract, cpio, lha, lzma, rar, unarj, xz, zoo)

Revision 1.314  2010/02/27 11:11:48  gotar
- upgraded to 4.7.1

Revision 1.313  2010/02/27 10:41:47  gotar
- upgraded to 4.7.0.3,
- set X11_WWW to use xdg-open (it must be an executable accepting parameter,
  not script with newlines); S: xdg-utils

Revision 1.312  2010/02/26 16:09:20  pawelz
- adapterized

Revision 1.311  2010/02/26 16:07:05  pawelz
- dropped unused BRs: indent, rpm-perl-prov

Revision 1.310  2010/02/03 19:29:54  gotar
- upgraded to 4.7.0.2

Revision 1.309  2010/01/15 17:16:41  sparky
- BR: rpm-pythonprov

Revision 1.308  2010/01/15 12:57:41  arekm
- up to 4.7.0.1

Revision 1.307  2009/12/28 12:10:24  arekm
- drop blocker; there is mc46.spec (unfinished aka copy from mc.spec) if you need 4.6 version

Revision 1.306  2009/12/26 18:18:43  uzsolt
- hu summary and description

Revision 1.305  2009/12/25 19:13:20  gotar
- reenabled blocker
- added Amazon Web Services S3 VFS (python dep)

Revision 1.304  2009/12/25 19:04:03  gotar
- upgraded to final 4.7.0;
- conditional blocker,
- rpm wrapper totally rewritten:   e7ed071be7fda2df59191d103c47bf30a6b98ca8
- drop srpm VFS, rpm used instead: d53630b8001beea487e6053c7223e30b4bbff94b

Revision 1.303  2009/12/14 21:50:51  baggins
- builder-blocker, really

Revision 1.302  2009/11/07 16:27:16  gotar
- fixed slang-8bit_xterm.patch, rel. 0.9

Revision 1.301  2009/11/07 15:49:39  gotar
- proposed patch to #1668, reenabled charset conversion

Revision 1.300  2009/10/31 18:19:14  gotar
- disabled charset conversion due to #1668

Revision 1.299  2009/10/30 19:36:39  gotar
- updated %files, still not usable

Revision 1.298  2009/10/30 19:32:50  gotar
- updated to 4.7.0pre4

Revision 1.297  2009/10/14 07:06:11  arekm
- rel 0.5; drop be-tarask locale

Revision 1.296  2009/10/05 12:13:21  arekm
- rel 0.4

Revision 1.295  2009/10/02 15:06:57  gotar
- upgraded to 4.7.0pre3; libtoolize, verilog syntax in sources, added skins

Revision 1.294  2009/09/25 18:58:46  arekm
- rel 0.3; switch to slang library; ncurses lack some features (or mc is not ready enough to use them in ncurses) comparing to slang

Revision 1.293  2009/09/25 18:48:22  witekfl
- really use ncursesw
- gpm must be built with the ncursesw bcond to avoid segfaults
- rel 0.2

Revision 1.292  2009/09/06 18:55:12  arekm
- drop obsolete patches

Revision 1.291  2009/09/06 18:53:36  arekm
- drop obsolete patches

Revision 1.290  2009/09/06 18:07:26  arekm
- custom pam.d perm should stay

Revision 1.289  2009/09/06 18:02:14  arekm
- fix perms on config files

Revision 1.288  2009/09/06 16:57:27  arekm
- update/obsolete patches

Revision 1.287  2009/09/06 16:55:12  arekm
- pld patch is back

Revision 1.286  2009/09/06 16:50:55  arekm
- verilog syntax

Revision 1.285  2009/09/06 16:47:12  arekm
- update patches

Revision 1.284  2009/09/06 16:41:48  arekm
- localenames obsolete (fixed upstream after pre2)

Revision 1.283  2009/09/06 16:34:59  arekm
- rpmfs patch fixed

Revision 1.282  2009/09/06 16:26:50  arekm
- mcserv is back

Revision 1.281  2009/09/06 16:17:23  arekm
- drop obsolete patches

Revision 1.280  2009/09/06 16:15:48  arekm
- drop obsolete patches

Revision 1.279  2009/09/06 16:08:21  arekm
- work on 4.7.0; 4.6 is on MC_4_6

Revision 1.278  2009/02/19 14:07:37  arekm
- rel 3; recognize konsole terminals

Revision 1.277  2009/02/19 13:57:41  arekm
- release 2

Revision 1.276  2009/02/04 14:03:52  arekm
- rel 1 since no important TODO on list

Revision 1.275  2009/02/04 11:01:20  hawk
- find_options patch is back for Titanium builds, case sensitiviness and
  regexps were _off_ by default in both Ra and Ac or I'm using some altered
  poldek repos

Revision 1.274  2009/02/04 00:24:42  gotar
- removed find_options patch, case sensitiviness and regexps were always on

Revision 1.273  2009/02/03 23:43:07  gotar
- grrr... typo; updated patches: 8bit editor works now, home_etc looks fine

Revision 1.272  2009/02/03 23:19:47  arekm
- patch numbering fix

Revision 1.271  2009/02/03 23:06:46  gotar
- upgraded to 4.6.2, updated patches; editor is havily damaged (utf8?) and
  apparently home_etc is not complete

Revision 1.270  2009/01/27 07:49:11  arekm
- new www

Revision 1.269  2009/01/21 20:49:47  pluto
- new syntax highlighting for awk/verliog/vhdl from Andres Farfan (list:org.gnome.mc-devel).
- extend c++ highlighting to templates implementation files (.tcc).
- release snap.4.

Revision 1.268  2008/08/09 14:53:54  arekm
- rel 3

Revision 1.267  2008-05-26 16:53:56  paszczus
- added Suggests: rpm-utils (for rpm2cpio)

Revision 1.266  2008-05-06 07:33:36  hawk
- added patch which kills replacing tabs with arrows and spaces with dots
  in mcedit

Revision 1.265  2008-04-20 21:45:36  prism
- suggest p7zip-standalone (for 7z VFS)

Revision 1.264  2008-04-16 19:02:33  arekm
- drop one todo item; file view works now; edit of course doesn't

Revision 1.263  2008-04-16 18:02:23  arekm
- up to 4.6.2 pre1

Revision 1.262  2008-04-09 16:48:44  hawk
- make "regular expression" and "case sensitive" file find options disabled
  by default (just like in mc 4.6.1)

Revision 1.261  2007-12-14 21:04:15  arvenil
- added support for Suggests in mc-spec-syntax.patch
- rel .2

Revision 1.260  2007-12-03 20:59:07  blues
- few suggested apps for mc

Revision 1.259  2007/09/11 19:21:10  qboosh
- UTF-8 patch still broken

Revision 1.258  2007/09/11 19:19:17  qboosh
- updated pl patch (+changed date format to use standard Arabic numers which fit on screen)

Revision 1.257  2007/09/10 17:35:18  arekm
- ipv6, refresh patches from fedora; utf8 patch updated

Revision 1.256  2007/09/10 17:18:14  arekm
- up to 2007.06.23.14

Revision 1.255  2007/04/26 22:27:16  baggins
- R: rc-scripts >= 0.4.1.5

Revision 1.254  2007/03/29 16:08:31  baggins
- rel 3
- fixed rpmfs

Revision 1.253  2007/03/28 17:13:56  baggins
- rel .2
- require latest pam for mcserv

Revision 1.252  2007/03/28 17:09:38  baggins
- up to 2007-03-09-18
- updated patches

Revision 1.251  2007/03/23 14:00:49  wolvverine
- revert last commit

Revision 1.249  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.248  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.247  2006/12/17 21:12:59  areq
- typo

Revision 1.246  2006/11/07 21:11:13  glen
- C: bash < 2.05b according to qboosh

Revision 1.245  2006/11/07 20:54:23  glen
- i believe -bash-3.2.patch breaks elder bash?

Revision 1.244  2006/11/07 19:39:24  maciek2w
- fix bug #18136 overview: MC wont work with new bash-3.2 propeply with all
  directories
- patch from https://savannah.gnu.org/bugs/?18136 created by
  Andrey Skvortsov
- rel 2

Revision 1.243  2006/11/02 12:00:18  qboosh
- pl fixes

Revision 1.242  2006/10/07 13:23:43  qboosh
- more

Revision 1.241  2006/10/07 13:22:39  qboosh
- todo

Revision 1.240  2006/09/27 21:01:55  arekm
- updated (amc merged in some form (not everything); utf8 updated)

Revision 1.239  2006/07/31 09:59:49  shadzik
- rel++ for rebuild with new sed Requires

Revision 1.238  2006/07/31 09:38:07  shadzik
- R: sed (mc-wrapper.sh needs it)

Revision 1.237  2006/05/31 13:15:30  pluto
- vhdl syntax.

Revision 1.236  2006/05/24 08:17:17  gotar
- utf8 patch still broken, view/edit ignores LC_CTYPE

Revision 1.235  2006/05/11 18:12:03  arekm
- up to 20060510.21 snap

Revision 1.234  2006/03/24 11:18:44  sparky
- pass rpmcflags

Revision 1.233  2006/03/23 19:59:28  pluto
- modular xorg deps.

Revision 1.232  2006/03/05 19:13:00  arekm
- it's a 4.6.2 snapshot

Revision 1.231  2006/03/05 14:42:52  glen
- use %service, adapterize, cosmetics

Revision 1.230  2006/02/28 16:51:41  arekm
- updated to mc snap 2006.02.24.22

Revision 1.229  2006/01/18 21:58:26  arekm
- utf8 patches updated

Revision 1.228  2005/12/26 16:17:06  hawk
- release 5

Revision 1.227  2005/12/19 19:56:39  qboosh
- no need to specify default attr

Revision 1.226  2005/12/16 07:56:05  pluto
- highlight more c++ headers.

Revision 1.225  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.224  2005/11/05 00:21:23  gotar
- disabled utf stuff by default (broken editing), release 4, STBR

Revision 1.223  2005/10/18 12:49:28  arekm
- apply only when utf8 is enabled

Revision 1.222  2005/10/18 06:38:33  arekm
- add hack to show iso8859-2 in view in nonunicode locale

Revision 1.221  2005/10/15 12:32:48  arekm
- memory leak fixes in utf8 patch

Revision 1.220  2005/10/03 06:09:59  qboosh
- slang epoch

Revision 1.219  2005/09/19 22:01:56  arekm
- rel 3; use utf8 patch from fc; apply some fixes from fc (64bit stat; fish update; ftp crash fix...)

Revision 1.218  2005/09/19 20:45:11  arekm
- slang2 support; utf8 enabled by default

Revision 1.217  2005/08/07 09:56:15  pascalek
- Release 1
- updated pl patch
- STBR

Revision 1.216  2005/08/06 22:46:16  pascalek
- fixed my md5sum mistake

Revision 1.215  2005/08/06 22:40:20  pascalek
- Relase 0.10; utf8 patch for 4.6.1

Revision 1.214  2005/07/27 18:56:36  blues
- release 0.9 - builds, works now, only pl.patch left (not for me).

Revision 1.213  2005/07/26 11:47:06  arekm
- final 4.6.1

Revision 1.212  2005/06/13 13:12:14  blues
- most of patches updated, 2 left

Revision 1.211  2005/06/13 10:04:56  blues
- tempfile.patch inculded into sources

Revision 1.210  2005/06/10 15:13:17  blues
- part of patches updated

Revision 1.209  2005/06/10 14:23:33  blues
- 4.6.1pre4 - only fetch sources

Revision 1.208  2005/06/10 13:26:23  blues
- fixed amc-1.patch. Works now

Revision 1.207  2005/06/10 10:35:05  blues
- updated amc-1 patch

Revision 1.206  2004/12/15 12:25:10  qrczak
- Added /usr/share/mc/mc.charsets which has appeared in mc

Revision 1.205  2004/10/29 08:17:37  paladine
- "FTP" unification

Revision 1.204  2004/10/24 12:07:59  paladine
- ftp->FTP

Revision 1.203  2004/09/13 09:02:46  gotar
- enabled support for charset selection and conversion

Revision 1.202  2004/07/23 19:01:37  qboosh
- added nolibs patch

Revision 1.201  2004/06/20 21:36:53  arekm
- fix specflags (quotation here is buggy)

Revision 1.200  2004/06/06 22:14:22  arekm
- 4.6.1 pre1 (warns when running mc in mc; XFree libs are dlopened; uses pipes instead of sockets); nfy

Revision 1.199  2004/04/29 08:57:57  adgor
- No 755 for /etc/shrc.d/*

Revision 1.198  2004/04/28 11:46:06  havner
- R: setup >= 2.4.6-2
- mc.sh,mc.csh -> /etc/shrc.d

Revision 1.197  2004/04/23 09:24:22  qboosh
- removed BR popt-devel

Revision 1.196  2004/04/23 09:23:07  qboosh
- removed system_popt patch (no longer possible, mc uses modified popt;
  testcase: mc --help)
- renumbered patches, release 19

Revision 1.195  2004/04/04 23:14:38  gotar
- removed other kloczkish fuckup

Revision 1.194  2004/03/26 09:37:24  gotar
- release 18 to rebuild with fixed mc.ext patch

Revision 1.193  2004/02/11 03:19:05  pzurowski
- mc-pld-developerfriendly.patch added - some visual improvments (maybe there will be more in future)

Revision 1.192  2004/02/06 20:37:30  pzurowski
- without bcond "perl_vfs" added - to avoid perl autoreq

Revision 1.191  2004/02/02 15:04:39  qboosh
- added CAN-2003-1023 (BTS#815) and tempfile security patches
- added localenames patch, rename no->nb
- release 17

Revision 1.190  2004/01/30 23:43:35  arekm
- use posix sort/head syntax; rel 16

Revision 1.189  2004/01/27 14:23:51  jajcus
- %install fixes

Revision 1.188  2004/01/19 13:45:51  gotar
- updated sequences patch, release 14

Revision 1.187  2003/11/21 23:30:37  baggins
- release 13
- kosher mc-mo patch, made it a config option

Revision 1.186  2003/11/21 20:07:32  baggins
- release 12
- mo patch back to good old behaviour

Revision 1.185  2003/10/15 10:13:04  qboosh
- don't use distfiles for plain text files (amc changelogs)

Revision 1.184  2003/10/10 05:54:36  witekfl
- added home_etc2.patch with support for $HOME_ETC
- Release 11

Revision 1.183  2003/09/27 07:12:51  gotar
- rel. 10 for fixed mo patch

Revision 1.182  2003/09/26 14:23:27  baggins
- release 9

Revision 1.181  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.180  2003/09/09 17:41:21  baggins
- release 8
- mc-mo patch is back, this time alt-o works as in old versions before
  maintainers screwed it with a little help from mmazur

Revision 1.179  2003/09/07 19:39:13  gotar
- added more xterm sequences,
- release 7.

Revision 1.178  2003/09/07 18:53:17  gotar
- fixed desktopdir location

Revision 1.177  2003/09/07 18:30:26  gotar
- fixed ja description of mcserv subpackage

Revision 1.176  2003/09/06 21:18:26  adgor
- Desktop file moved to %{_desktopdir}

Revision 1.175  2003/08/01 08:42:46  gotar
- fixed bashism in audiofs,
- release 6.

Revision 1.174  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.173  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.172  2003/06/25 19:41:49  gotar
- BR: rpm-perlprov

Revision 1.171  2003/06/25 16:48:15  gotar
- fixed building

Revision 1.170  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.169  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.168  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.167  2003/05/25 05:50:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.166  2003/05/02 13:15:56  gotar
- BR: pkgconfig

Revision 1.165  2003/04/27 23:30:16  kloczek
- relase 5: more fixes in mc.ext patch for correct handle spaces in file names
  and final fixes for correct view patches on F3.
